<?php


class CalendarSectionType implements INodeType
{

    public function getName()
    {
        return 'Анонсы спортивных событий';
    }

    public function isRootNode()
    {
        return false;
    }

    public function getNestedTypes()
    {
        return array(
//            'textPage',
        );
    }


    public function getActions()
    {
        return array(
            'editCalendarSection',
        );
    }

    public function actionLabels(){
        return array(
            'editCalendarSection'=>'Данные страницы',
            'sportEventCategory'=>'Категории спортивных событий',
            'sportEvent'=>'Спортивные события',
        );
    }

    public function createAction($name, $controller, $id = null)
    {
        if($id===null)$id = $name;
        require __DIR__ . '/actions/' . ucfirst($name) . 'Action.php';
        $actionClass = ucfirst($name) . 'Action';
        return new $actionClass($controller, $id);
    }

    /**
     * @return string
     */
    public function getDefaultAction()
    {
        return 'editCalendarSection';
    }


    public function deleteData($id)
    {
        $model = CalendarSection::model()->findByPk($id);
        if($model != null) $model->delete();
    }
}
